QXmppMucOwnerIq Class Reference

The QXmppMucOwnerIq class represents a chat room configuration IQ as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucIq.h>`

Inheritance diagram for QXmppMucOwnerIq:
[legend]
Collaboration diagram for QXmppMucOwnerIq:
[legend]

## Public Member Functions

QXmppDataForm | form () const
| Returns the IQ's data form.
void | setForm (const QXmppDataForm &form)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppMucOwnerIq class represents a chat room configuration IQ as defined by XEP-0045: Multi-User Chat.

It is used to get or modify room configuration options.

See also
  QXmppDataForm

## Member Function Documentation

void QXmppMucOwnerIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the IQ's data form.

Parameters

  form |

The documentation for this class was generated from the following files:

- QXmppMucIq.h
- QXmppMucIq.cpp